//! Data from log submission form

use std::default::Default;

use serde::Deserialize;

#[derive(Debug, Deserialize)]
#[serde(default = "FormData::default")]
pub struct FormData {
	/// Title
	#[serde(rename = "submit_title")]
	pub title: String,

	/// Player
	#[serde(rename = "submit_player")]
	pub player: String,

	/// Public
	#[serde(rename = "submit_public")]
	pub public: String,

	/// Log
	#[serde(rename = "submit_log")]
	pub log: String,
}

impl Default for FormData {
	fn default() -> Self {
		Self {
			title: String::new(),
			player: String::new(),
			public: String::new(),
			log: String::new(),
		}
	}
}
